---
layout: mockup
title: "Displays"
theme: Adwaita/Adwaita.css
permalink: settings/displays/night-light/
wallpaper: adwaita
category: "Devices"
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">
<style type="text/css">
.night-light {
	display: none; 
	position: fixed; 
	z-index: 10000; 
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: hidden;
	background-color: rgba(265,165,0,0.4);
	pointer-events: none;
}

.nightLightScale {
	display: block;
	width:calc(100% - 12px);
	margin: 12px 6px;
	height: 8px;
	/*background-color:#fff;*/
	box-shadow: inset 0 0 0 1px rgba(0,0,0,0.2);
	border-radius: 4px;
	background-image: linear-gradient(to right, rgba(265,165,0,0.2),rgba(265,165,0,1));
}
</style>

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>
			<span class="title">Settings</span>
		</div>
		<div class="button-group float-center" style="margin-top: -46px;">
			<div class="linked">
				<a class="button text-button left" href="{{ site.baseurl }}/settings/displays/">Displays</a><a class="button text-button pressed right" href="{{ site.baseurl }}/settings/displays/night-light/">Night Light</a>
			</div>
		</div>
		<div class="button-group float-right" style="margin-top: -46px;">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		{%- include widgets/_settings-sidebar.html -%}
		<!-- View -->
		<div class="view">
			<div class="row">
				<p>Night Light makes the screen color warmer. This can help prevent eye strain and sleeplessness.</p>
				<ul class="listrow">
					<li>
						<div class="icon s16" style="margin-right: 0;">{%- include symbolic/status/night-light-symbolic.svg -%}</div>
						<label>Night Light</label>
						{%- include components/switch.html float = "right" id = "nightLightSwitch" -%}
					</li>
				</ul>
			</div>
			<div class="row">
				<h5>Schedule</h5>
				<ul class="listrow">
					<li>
						<label>Scheduled</label>
						{%- include components/switch.html float = "right" checked = "checked" id = "nightLightScheduleSwitch" -%}
					</li>
					<li id="nightLightSchedulePopover">
						<label>Schedule Type</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="nightLightScheduleStatus">Sunset to Sunrise</label>
					</li>
					<li class="nightLightCustomSchedule">
						<label>Turn on at</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right">8:00 PM</label>
						<!-- <div class="linked float-right" style="margin-left: 6px;">
							<a class="button text-button left" onclick="$(this).toggleClass('pressed');">AM</a
							><a class="button text-button right pressed" onclick="$(this).toggleClass('pressed');">PM</a>
						</div>
						<div class="linked float-right" style="vertical-align: middle;">
							<input type="text" class="entry nightLightScheduleTime left" style="width: 32px;" value="10" min="1" max="12"/><input type="text" pattern="[0-9]*" class="entry nightLightScheduleTime right" style="width: 32px;" value="00" min="00" max="59"/>
						</div> -->
					</li>
					<li class="nightLightCustomSchedule">
						<label>Turn off at</label>
						{%- include components/listrow-link-icon.html -%}
						<label class="float-right">6:00 AM</label>
						<!-- <div class="linked float-right" style="margin-left: 6px;">
							<a class="button text-button left pressed" onclick="$(this).toggleClass('pressed');">AM</a
							><a class="button text-button right" onclick="$(this).toggleClass('pressed');">PM</a>
						</div>
						<div class="linked float-right" style="vertical-align: middle;">
							<input type="text" class="entry nightLightScheduleTime left" style="width: 32px;" value="6" min="1" max="12"/><input type="text" pattern="[0-9]*" class="entry nightLightScheduleTime right" style="width: 32px;" value="00" min="00" max="59"/>
						</div> -->
					</li>
					<li class="nightLightSunSchedule">
						<label>Sunset Time</label>
						<label class="float-right dim-label">6:14 PM (Toronto, Canada)</label>
					</li>
					<li class="nightLightSunSchedule">
						<label>Sunrise Time</label>
						<label class="float-right dim-label">7:23 AM (Toronto, Canada)</label>
					</li>
				</ul>
				<p class="nightLightSunSchedule dim-label">Sunrise and sunset times are determined by your location.</p>
			</div>
			<div class="row">
				<h5>Color Temperature</h5>
				<ul class="listrow">
					<li class="medium" style="padding-bottom: 48px;">
						<label class="float-left dim-label">Less Warm</label>
						<label class="float-right dim-label">More Warm</label>
						<br>
						<div class="nightLightScale"></div>
					</li>
				</ul>
			</div>
		</div>
	</div>
</div>
<div class="night-light"></div>

<!-- js -->
<script type="text/javascript">
$(document).ready(function() {$('#settingsSidebar a:nth-of-type(14) li').addClass("active");});

$('.nightLightCustomSchedule').hide();

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul>',
			'<li onclick="nightLightScheduleOption($(this).text());$(&apos;.nightLightCustomSchedule&apos;).hide();$(&apos;.nightLightSunSchedule&apos;).show();">Sunset to Sunrise</li>',
			'<li onclick="nightLightScheduleOption($(this).text());$(&apos;.nightLightSunSchedule&apos;).hide();$(&apos;.nightLightCustomSchedule&apos;).show();">Custom Times</li>',
		'</ul>'].join('');

	$('#nightLightSchedulePopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function nightLightScheduleOption() {
	$('#nightLightScheduleStatus').text(arguments[0]);
	$("#nightLightSchedulePopover").popover("hide");
}

// enable Night light
$(document).ready(function(){
	$('#nightLightSwitch').change(function(){
		if($(this).is(":checked")) {
			$('.status-night-light').removeClass("hidden");
			$('#statusNightLight').removeClass("hidden");
			$(".nightLightStatus").text("On");
			$(".night-light").css({ 'display': "block" });
		} else {
			$(".nightLightStatus").text("Off");
			$('#statusNightLight').addClass("hidden");
			$('.status-night-light').addClass("hidden");
			$(".night-light").css({ 'display': "none" });
		}
	});
});

// enable Night light
$(document).ready(function(){
	$('#nightLightScheduleSwitch').change(function(){
		if($(this).is(":checked")) {
			$('#nightLightSchedulePopover').removeClass("insensitive");
			$('.nightLightCustomSchedule').removeClass("insensitive");
			$('.nightLightSunSchedule').removeClass("insensitive");
		} else {
			$('#nightLightSchedulePopover').addClass("insensitive");
			$('.nightLightCustomSchedule').addClass("insensitive");
			$('.nightLightSunSchedule').addClass("insensitive");
		}
	});
});

</script>